Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.util
Class Loader

    java.lang.Object
      org.apache.axis2.util.Loader

    public class Loader

extends Object

Loads resources (or images) from various sources.

Constructor Summary
`Loader()`

Method Summary
`static URL` | `getResource(ClassLoader loader, String resource)` Gets the resource with the specified class loader.
`static URL` | `getResource(String resource)` Searches for `resource` in different places.
`static InputStream` | `getResourceAsStream(ClassLoader loader, String resource)` Gets the resource with the specified class loader.
`static InputStream` | `getResourceAsStream(String resource)` Searches for `resource` in different places.
`static Class` | `loadClass(ClassLoader loader, String clazz)` Loads the specified classloader and then falls back to the loadClass.
`static Class` | `loadClass(String clazz)` If running under JDK 1.2, loads the specified class using the `Thread` `contextClassLoader` .

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Loader

    public Loader()

Method Detail

### getResource

    public static URL getResource(String resource)

  Searches for `resource` in different places. The search order is as follows:

  1. Search for `resource` using the thread context class loader under Java2. If that fails, search for `resource` using the class loader that loaded this class (`Loader`).

  2. Try one last time with `ClassLoader.getSystemResource(resource)`, that is is using the system class loader in JDK 1.2 and virtual machine's built-in class loader in JDK 1.1.

  Parameters:
    `resource` -
  Returns:
    Returns URL

### getResource

    public static URL getResource(ClassLoader loader,
                                  String resource)
                           throws ClassNotFoundException

  Gets the resource with the specified class loader.

  Parameters:
    `loader` -
    `resource` -
  Returns:
    Returns URL.
  Throws:
    `ClassNotFoundException`

### getResourceAsStream

    public static InputStream getResourceAsStream(String resource)

  Searches for `resource` in different places. The search order is as follows:

  1. Search for `resource` using the thread context class loader under Java2. If that fails, search for `resource` using the class loader that loaded this class (`Loader`).

  2. Try one last time with `ClassLoader.getSystemResourceAsStream(resource)`, that is is using the system class loader in JDK 1.2 and virtual machine's built-in class loader in JDK 1.1.

  Parameters:
    `resource` -
  Returns:
    Returns URL

### getResourceAsStream

    public static InputStream getResourceAsStream(ClassLoader loader,
                                                  String resource)
                                           throws ClassNotFoundException

  Gets the resource with the specified class loader.

  Parameters:
    `loader` -
    `resource` -
  Returns:
    Returns URL.
  Throws:
    `ClassNotFoundException`

### loadClass

    public static Class loadClass(ClassLoader loader,
                                  String clazz)
                           throws ClassNotFoundException

  Loads the specified classloader and then falls back to the loadClass.

  Parameters:
    `loader` -
    `clazz` -
  Returns:
    Returns Class.
  Throws:
    `ClassNotFoundException`

### loadClass

    public static Class loadClass(String clazz)
                           throws ClassNotFoundException

  If running under JDK 1.2, loads the specified class using the `Thread` `contextClassLoader` . If that fails, try Class.forname.

  Parameters:
    `clazz` -
  Returns:
    Returns Class.
  Throws:
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.